Update Borrower
curl --request PUT \
--url https://los.universal.rollout.com/api/borrowers/{id} \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"name": "<string>",
"type": "<string>",
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"taxId": "<string>",
"bio": {}
}
'import requests
url = "https://los.universal.rollout.com/api/borrowers/{id}"
payload = {
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"name": "<string>",
"type": "<string>",
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"taxId": "<string>",
"bio": {}
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
emails: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
name: '<string>',
type: '<string>',
phones: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
addresses: [
{
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>'
}
],
taxId: '<string>',
bio: {}
})
};
fetch('https://los.universal.rollout.com/api/borrowers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Borrowers
Update Borrower
PUT /borrowers/
PUT
/
borrowers
/
{id}
Update Borrower
PUT /borrowers/{id}
Base URL: https://los.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/los.json PUT /borrowers/{id}Path Parameters
Body
application/jsonmultipart/form-datatext/plain
⌘I